Subject: FVWM: errors when opening the display

From: Jerry Ingerman <[email-masked]>
Date: Thu, 23 Oct 1997 17:24:13 -0400 (EDT)

I built fvwm2 on a sparc solaris machine. The X11R6 libraries, *not*
/usr/openwin/lib are being used at run time.  The 'xmkmf' from the X11R6 tree
was used.
	Everything compiled just fine using gcc.
	When I try to start up fvwm2:

fvwm2 -d host
      -d host:0
      -d :0
      -d unix:0
      -d :0.0
      
	it always immediately exits with '<<error>> cant open display 

	> ldd /sw1/bin/fvwm2 
        libXpm.so.4.4 =>         /usr/X11R6/lib/libXpm.so.4.4
        libXext.so.6.0 =>        /usr/X11R6/lib/libXext.so.6.0
        libX11kb.so.6.0 =>       /usr/X11R6/lib/libX11kb.so.6.0
        libsocket.so.1 =>        /usr/lib/libsocket.so.1
        libnsl.so.1 =>   /usr/lib/libnsl.so.1
        libc.so.1 =>     /usr/lib/libc.so.1
        libdl.so.1 =>    /usr/lib/libdl.so.1
        libintl.so.1 =>  /usr/lib/libintl.so.1
        libmp.so.1 =>    /usr/lib/libmp.so.1
        libw.so.1 =>     /usr/lib/libw.so.1

	The display arguments have always been valid in other situations. I
cant imagine what is happening here. I was very surprised.
thanks in advance for any help

jerold

	-- Jerry Ingerman
	  ([email-masked])
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].